Bug 706110 - oosplash.bin segfault on every login: XSetForeground (dpy=0x0, gc=0x0, foreground=0) at SetFore.c:38
oosplash.bin segfault on every login: XSetForeground (dpy=0x0, gc=0x0, foregr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-19 10:12 EDT by Tom London
Modified: 2011-06-07 00:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.3.2.2-9.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-25 07:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2011-05-19 10:12:17 EDT
Description of problem

Seeing this every login on  Rawhide system:

Core was generated by `/usr/lib64/libreoffice/program/oosplash.bin --quickstart --nologo --nodefault'.
Program terminated with signal 11, Segmentation fault.
#0  XSetForeground (dpy=0x0, gc=0x0, foreground=0) at SetFore.c:38
38	    LockDisplay(dpy);
Missing separate debuginfos, use: debuginfo-install glibc-2.13.90-13.x86_64 libgcc-4.6.0-7.fc15.x86_64 libstdc++-4.6.0-7.fc15.x86_64
(gdb) bt full
#0  XSetForeground (dpy=0x0, gc=0x0, foreground=0) at SetFore.c:38
No locals.
#1  0x0000000000404bf1 in splash_draw_progress (progress=<optimized out>)
    at splashx.c:604
No locals.
#2  0x0000000000405f1b in sal_main_with_args (argc=4, argv=0x7fff29ca4468)
    at start.c:981
        info = 0x1a256a0
        bAllArgs = <optimized out>
        nPercent = 0
        bHaveWindow = 0 '\000'
        bShortWait = 0 '\000'
        bRestart = 0 '\000'
        fd = <optimized out>
        bSentArgs = <optimized out>
        pUsePlugin = <optimized out>
        pPipePath = <optimized out>
        args = <optimized out>
#3  0x000000000040332a in main (argc=4, argv=0x7fff29ca4468) at start.c:891
        ret = <optimized out>
(gdb)

Version-Release number of selected component (if applicable):
libreoffice-presenter-screen-3.3.99.4-2.fc16.x86_64
libreoffice-pdfimport-3.3.99.4-2.fc16.x86_64
libreoffice-core-3.3.99.4-2.fc16.x86_64
libreoffice-xsltfilter-3.3.99.4-2.fc16.x86_64
libreoffice-ure-3.3.99.4-2.fc16.x86_64
libreoffice-impress-3.3.99.4-2.fc16.x86_64
libreoffice-debuginfo-3.3.99.4-2.fc16.x86_64
libreoffice-graphicfilter-3.3.99.4-2.fc16.x86_64
libreoffice-calc-3.3.99.4-2.fc16.x86_64
libreoffice-opensymbol-fonts-3.3.99.4-2.fc16.noarch
libreoffice-math-3.3.99.4-2.fc16.x86_64
libreoffice-langpack-en-3.3.99.4-2.fc16.x86_64
libreoffice-writer-3.3.99.4-2.fc16.x86_64
libreoffice-draw-3.3.99.4-2.fc16.x86_64


How reproducible:
Every login

Steps to Reproduce:
1. login, and wait.  Seems to happen within 15-20 minutes of login
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Tardon 2011-05-23 02:03:22 EDT
We failed to get display for some reason. So obviously we must make the call of splash_draw_progress in the loop at desktop/unx/source/start.c:981 conditional (and the same for splash_close_window), or, better, make it return early if there is no display.
Comment 2 David Tardon 2011-05-24 00:48:52 EDT
done in libreoffice-3.4.0.1-2.fc16
Comment 3 Fedora Update System 2011-05-31 04:14:21 EDT
libreoffice-3.3.2.2-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-9.fc15
Comment 4 Fedora Update System 2011-06-07 00:27:06 EDT
libreoffice-3.3.2.2-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.